#
# spec file for package grc
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           grc
Version:        1.13
Release:        2.3
Summary:        Generic colouriser for everything
License:        GPL-2.0-or-later
Group:          System/Console
URL:            http://kassiopeia.juls.savba.sk/~garabik/software/grc.html
Source:         https://github.com/garabik/grc/archive/v%{version}.tar.gz#/v%{version}.tar.gz
# https://github.com/simotek/grc-osc-conf
Source1:        conf.osc
Patch0:         quilt-feature-osc-build.patch
BuildArch:      noarch

%description
Generic Colouriser is yet another colouriser for beautifying your
logfiles or commands output.

%prep
%autosetup -p1

%build
# Nothing to build.

%install
# fix wrong wrong-script-interpreter
find . -name 'grc' -exec sed -i "s|#! %{_bindir}/env python3$|#!%{_bindir}/python3|" {} +
find . -name 'grcat' -exec sed -i "s|#! %{_bindir}/env python3$|#!%{_bindir}/python3|" {} +
install -Dm 0755 grc %{buildroot}%{_bindir}/grc
install -Dm 0755 grcat %{buildroot}%{_bindir}/grcat
install -Dm 0644 grc.conf %{buildroot}%{_sysconfdir}/grc.conf
install -Dm 0644 grc.sh %{buildroot}%{_sysconfdir}/profile.d/grc.bash
install -Dm 0644 grc.1 %{buildroot}%{_mandir}/man1/grc.1
install -Dm 0644 grcat.1 %{buildroot}%{_mandir}/man1/grcat.1
mkdir -p %{buildroot}%{_datadir}/grc/
install -m 0644 colourfiles/conf.* %{buildroot}%{_datadir}/grc/
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/grc/

%files
%license COPYING debian/copyright
%doc CREDITS README.markdown TODO Regexp.txt debian/changelog
%config(noreplace) %{_sysconfdir}/grc.conf
%config %{_sysconfdir}/profile.d/grc.bash
%{_bindir}/grc*
%{_datadir}/grc/
%{_mandir}/man?/grc*

%changelog
* Wed Feb 21 2024 Michael Vetter <mvetter@suse.com>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Mon Aug 16 2021 Michael Vetter <mvetter@suse.com>
- Update to 1.13:
  * do not automatically create command aliases, unless explicitly
    specified (for bash)
  * several minor improvements
* Mon Mar  1 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.12
  * add new configuration files
  * various small bugfixes
* Tue Feb 25 2020 Simon Lees <sflees@suse.de>
- Update to v1.11.3
  * Some new configs
  * iwconfig
  * lolcat
  * ntpupdate
  * whois
  * Minor changes to some other configs
  * --color=auto is now default
  * Do not colorize if output is not a terminal
* Thu Aug 10 2017 simonf.lees@suse.com
- Update to v1.11.1
  * better error handling if command is not found
* Sun May 28 2017 sflees@suse.de
- Updating to version 1.11
* Fri Apr 29 2016 jsegitz@novell.com
- Changed regexp in quilt-feature-osc-build.patch to also match old
  buildlogs, not just live builds
* Thu Apr  9 2015 sor.alexei@meowr.ru
- Initial package.
